Subject: Re: bug#50500: Add ways to copy id bookmark link in eww

From: Yuchen Pei <[email-masked]>
Date: Fri, 10 Sep 2021 23:03:42 +1000

Lars Ingebrigtsen <[email-masked]> writes:

> Yuchen Pei <[email-masked]> writes:
>
>> I'd like to add a functionality to copy the bookmark link to 
>> the kill
>> ring when the point is on a element with an id attribute.
>>
>> For example, say I am reading
>> <http://www.gnu.org/licenses/gpl-3.0.html>, and Section 13 
>> looks
>> interesting which I want to save for reference.  By calling the 
>> said
>> function while the point is at Section 13, the link
>> <http://www.gnu.org/licenses/gpl-3.0.html#section13> is added 
>> to the
>> kill ring.
>
> Well, people put ids on all kinds of elements, but they're not 
> generally
> meant to be used for navigation.  (I mean, sometimes they are, 
> but
> statistically speaking, they're not.)
>
> So I'm not sure that `w' in general should be doing this in eww.
> Anybody else got an opinion?

Makes sense.  How about adding it as a customization variable, so 
that one can customize whether `w` also includes the id bookmark 
part and by default it does not.  It is often useful to save more 
precise positions in web page documents.

-- 
Best,
Yuchen

PGP Key: 47F9 D050 1E11 8879 9040  4941 2126 7E93 EF86 DFD0
           <https://ypei.me/assets/ypei-pubkey.txt>